#ifndef __EPGSEARCH_MENUMYEDITTIMER_H
#define __EPGSEARCH_MENUMYEDITTIMER_H

#include <vdr/menuitems.h>
#include "timer_thread.h"

// --- cMenuMyEditTimer --------------------------------------------------------
class cMenuMyEditTimer : public cOsdMenu {
private:
  cTimer *timer;
  const cEvent* event;
  int channel;
  bool addIfConfirmed;
  int UserDefDaysOfWeek;
  cMenuEditDateItem *firstday;
  void SetFirstDayItem(void);
  cMenuEditStrItem* m_DirItem;

#if VDRVERSNUM < 10338
  int flags;
#else
  uint flags;
#endif
#if VDRVERSNUM && VDRVERSNUM >= 10323
  time_t day;
  int weekdays;
#else
  int day;
  time_t firstdaydata;
#endif
  int start;
  int stop;
  int priority;
  int lifetime;
  char file[MaxFileName];
  char directory[MaxFileName];
public:
  cMenuMyEditTimer(cTimer *Timer, bool New, const cEvent* event, const cChannel* forcechannel=NULL);
  virtual ~cMenuMyEditTimer();
  virtual eOSState ProcessKey(eKeys Key);
  char* SummaryExtended(const cEvent* pEvent);
  void HandleSubtitle();
  void Set();
  void ReplaceDirVars();
  bool IsSingleEvent(void) const;
  void SplitFile();
  eOSState DeleteTimer();
  };
#endif
